PROGRAM Valore_Assoluto_1
!---------------------------------------------------------------------
! Calcolo del valore assoluto di un intero
!---------------------------------------------------------------------
  IMPLICIT NONE
  REAL :: X

  WRITE(*,*) "Dammi un numero: "
  READ(*,*) X

!     Costrutto IF-THEN
  IF (X < 0) THEN   ! Va scritto su una riga, poi a capo!
!     Gli operatori relazionali (predicati) sono: ==, /=, >, >=, <, <=
!     con ovvio significato.
    X = -X
  END IF            ! Fine del costrutto, su una riga!

  WRITE(*,*) "Il valore assoluto e'", X
  STOP
END PROGRAM Valore_Assoluto_1

